%define ver 2.4
%define rel 2mdk
%define name yudit

Name: %{name}
Version: %{ver}
Release: %{rel}
Group: Editors
BuildRequires: XFree86-devel freetype-devel
License: GPL

Source0: http://www.yudit.org/download/yudit-%{version}.tar.bz2
Source1: yudit-extra-bumaps.tar.bz2
Source2: %{name}.menu
Source3:icons-%{name}.tar.bz2
Patch1: yudit-2.2-properties.patch.bz2
Patch2: http://yudit.org/download/yudit-%{version}.patch1.txt

URL: http://www.yudit.org/
Summary: Unicode Text Editor
BuildRoot: %{_tmppath}/yudit-root

%description
Yudit is a unicode text editor for the X Window System.
It does not need localized environment or unicode fonts.
It supports simultanious processing of many languages,
input methods, conversions for local character standards.
This package includes X11 editor interface, shell conversion
utilities and it also has support for postscript printing.
GNU (C) Gaspar Sinai <gsinai@iname.com> 

%prep
%setup -q

%patch1 -p1 -b srtxg
%patch2 -p1 -b .patch1

%build

%configure
find . -type f -exec perl -pi -e s/fno-exceptions/fexceptions/g {} \;
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}
%makeinstall


tar jxvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/yudit/data


install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/menu
install -m 644 %SOURCE2 $RPM_BUILD_ROOT%{_libdir}/menu/%{name}
cd $RPM_BUILD_DIR/%{name}-%{version}

#mdk menu
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xvjf %{SOURCE3} -C $RPM_BUILD_ROOT%{_iconsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
## menu
%{update_menus}

%postun
## menu
%{clean_menus}


%files -f %{name}.lang
%defattr (-, root, root, 755)
%doc [A-Z][A-Z]* doc/
%{_bindir}/*
%{_mandir}/man?/*
%dir %{_datadir}/yudit
%{_datadir}/yudit/data
%{_datadir}/yudit/doc
%{_datadir}/yudit/locale
%{_datadir}/yudit/config
%{_datadir}/yudit/fonts
# MDK menu entry
%{_libdir}/menu/%{name}
%{_iconsdir}/*

%changelog
* Wed Aug 29 2001 David BAUDENS <baudens@mandrakesoft.com> 2.4-2mdk
- Use new icons

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4-1mdk
- Bump up to 2.4.
- Apply official yudit patch 1 for 2.4.

* Tue Feb 13 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3-1mdk
- Bump up to 2.3 in cooker.

* Tue Jan 23 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2-1mdk
- new and shiny source.
- use -j instead of -I when uncompressing bzip2 files with tar.

* Fri Jan 19 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.1-1mdk
- new and shiny source.

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.5-8mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Mon Oct 02 2000 Daouda Lo <daouda@mandrakesoft.com> 1.5-7mdk
- change icons + more macrozif..
- use find_lang macro.
- let spechelper do its job ;-)
- patched to prevent yudit to find Tahoma font
- add some kmap files
 
* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5-6mdk
- automatically added BuildRequires

* Sun Jul 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.5-5mdk
- makeinstall macro
- macroszifications
- BM
- Geoffrey Lee <snailtalk@mandrakesoft.com>
  - update menus and clean menus macro
  - tmppath
  - full src url

* Tue May  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.5-4mdk
- Fixed menu entry
- Add 16 and 32 icons

* Tue May 02 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.5-3mdk
- added URLs, now Yudit has its own web page!
- added a menu entry

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5-2mdk
- fixed group

* Wed Dec 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 1.5
- merged with Nguyen-Dai Quy <daiquy.nguyen@ulg.ac.be> changes:
  added vietnamese locale (contributed by Lai Hoa`i Trie^'t
  <thlai@mail.usyd.edu.au>)

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix compilation with gcc2.95.

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- cleaned %files
- added more encodings

* Sun Jul 18 1999 NGUYEN-DAI Quy <DaiQuy.Nguyen@ulg.ac.be>
- Added "telex" input Method for Vietnamese (VNtelex.kmap).
- Modified "vn.utf8" --> "vi.utf8"
- Added "fr.utf8" for French

* Wed Jul 14 1999 Triet H. Lai <thlai@ee.usyd.edu.au>
- Updated to version 1.3
- Added Vietnamese locale, unicode maps for VPS, TCVN,
  and system config file (yuditrc.vn).

